/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
package com.ibm.rational.test.lm.spi.sample.util;

import java.io.StringReader;
import java.util.List;

import org.jdom.Document;
import org.jdom.Element;
import org.jdom.input.SAXBuilder;

public class AdapterXml 
{
    private static final String ELEMENT_HOSTNAME = "hostname";
    private static final String ELEMENT_PORT = "port";
    private static final String ELEMENT_INSTANCE = "instance";
    
    public static String getHostname(String adapterXml)
    {
        return getInstanceInfo(adapterXml).getChildText(ELEMENT_HOSTNAME);
    }
    
    public static String getPort(String adapterXml)
    {
        return getInstanceInfo(adapterXml).getChildText(ELEMENT_PORT);
    }
    
    @SuppressWarnings("unchecked")
    private static Element getInstanceInfo(String adapterXml)
    {
        Element instance = null;
        SAXBuilder xmlIn = new SAXBuilder();
        StringReader reader = new StringReader(adapterXml);
        try
        {
            Document adapterDoc = xmlIn.build(reader);
            List<Element> instances = adapterDoc.getRootElement().getChildren(ELEMENT_INSTANCE);
            instance = instances.get(0);
        }
        catch (Exception e)
        {
            
        }
        return instance;
    }
}
